> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-udiconbutton.md).

# New-UDIconButton

New-UDIconButton opretter en knap, der kun består af et ikon, i PowerShell Universal, så De kan angive ikon, størrelse, variant og klikhandling til kompakte UI-kontrolelementer.

### Synopsis

Opretter en knap med et ikon.

### Syntaks

```powershell
New-UDIconButton [[-Id] <String>] [[-Icon] <Object>] [[-OnClick] <Endpoint>] [-Disabled] [[-Href] <String>] [[-Style] <Hashtable>] [[-ClassName] <String>] [[-Size] <String>] [[-Variant] <String>] [-ShowLoading] [[-LoadingComponent] <ScriptBlock>] [[-Aria] <ScriptBlock>] [<CommonParameters>]
```

### Beskrivelse

Opretter en knap med et ikon.

### Parametre

#### -Id

Id for komponenten. Standardværdien er et tilfældigt GUID.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

Det ikon, der skal vises i knappen.

```
Required?                    false
Position?                    2
Default value                User
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClick

En scriptblok, der skal udføres, når der klikkes på knappen.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Disabled

Om knappen er deaktiveret.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Href

Et link, der navigeres til, når der klikkes på knappen.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Style

Den CSS-typografi, der skal anvendes på ikonet.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

En CSS-klasse, der skal anvendes på ikonet.

```
Required?                    false
Position?                    6
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Size

Størrelsen på ikonknappen. Gyldige værdier er: "small", "medium", "large"

```
Required?                    false
Position?                    7
Default value                medium
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

```
Required?                    false
Position?                    8
Default value                text
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ShowLoading

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LoadingComponent

```
Required?                    false
Position?                    9
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Aria

En scriptblok med kald af `New-UDAriaAttribute`, der leverer ARIA- eller rolleattributter til denne ikonknap. Angiv en tilgængelig etiket til kontrolelementer, der kun består af et ikon, såsom `-Aria { New-UDAriaAttribute -Label -Value 'Open settings' }`.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Fælles parametre

Denne cmdlet understøtter de fælles parametre: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable og OutVariable. Se [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

### Output

### Eksempler

#### Eksempel 1: grundlæggende ikonknap

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm)  -Id 'iconButton1'
```

Opretter en grundlæggende ikonknap.

#### Eksempel 2: ikonknap med OnClick

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm) -OnClick {
   Show-UDToast -Message 'Icon Button Clicked'
} -Id 'iconButton2'
```

Opretter en ikonknap med en OnClick-scriptblok.

#### Eksempel 3: ikonknap med Href

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm) -Href 'https://www.google.com' -Id 'iconButton3'
```

Opretter en ikonknap, der navigerer til en URL.

#### Eksempel 4: deaktiveret ikonknap

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm) -Disabled -Id 'iconButton4'
```

Opretter en deaktiveret ikonknap.

#### Eksempel 5: ikonknap med indlæsning

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm) -Id 'iconButton5' -OnClick {
   Show-UDToast -Message 'Icon Button Clicked'
   Start-Sleep -Seconds 5
} -ShowLoading
```

Opretter en ikonknap med en indlæsningsindikator.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-udiconbutton.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
